<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MINI51DE_BSP: File List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">MINI51DE_BSP<span id="projectnumber">&#160;V3.03.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Mini51DE Series MCU</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div class="header">
  <div class="headertitle"><div class="title">File List</div></div>
</div><!--header-->
<div class="contents">
<div class="textblock">Here is a list of all files with brief descriptions:</div><div class="directory">
<div class="levels">[detail level <span onclick="javascript:toggleLevel(1);">1</span><span onclick="javascript:toggleLevel(2);">2</span><span onclick="javascript:toggleLevel(3);">3</span><span onclick="javascript:toggleLevel(4);">4</span><span onclick="javascript:toggleLevel(5);">5</span><span onclick="javascript:toggleLevel(6);">6</span>]</div><table class="directory">
<tr id="row_0_" class="even"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_0_" class="arrow" onclick="toggleFolder('0_')">&#9660;</span><span id="img_0_" class="iconfopen" onclick="toggleFolder('0_')">&#160;</span><a class="el" href="dir_4c76ddfc10a27668d6c42d3412320ee0.html" target="_self">Device</a></td><td class="desc"></td></tr>
<tr id="row_0_0_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_0_0_" class="arrow" onclick="toggleFolder('0_0_')">&#9660;</span><span id="img_0_0_" class="iconfopen" onclick="toggleFolder('0_0_')">&#160;</span><a class="el" href="dir_dfa946205a9a0ffc7bda9b97689fa4ff.html" target="_self">Nuvoton</a></td><td class="desc"></td></tr>
<tr id="row_0_0_0_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span id="arr_0_0_0_" class="arrow" onclick="toggleFolder('0_0_0_')">&#9660;</span><span id="img_0_0_0_" class="iconfopen" onclick="toggleFolder('0_0_0_')">&#160;</span><a class="el" href="dir_121a9ecaa66bd755f16cf1369c08942a.html" target="_self">Mini51Series</a></td><td class="desc"></td></tr>
<tr id="row_0_0_0_0_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span id="arr_0_0_0_0_" class="arrow" onclick="toggleFolder('0_0_0_0_')">&#9660;</span><span id="img_0_0_0_0_" class="iconfopen" onclick="toggleFolder('0_0_0_0_')">&#160;</span><a class="el" href="dir_ff4f3084b4cc69b190eb0e38cf9128dc.html" target="_self">Include</a></td><td class="desc"></td></tr>
<tr id="row_0_0_0_0_0_" class="even"><td class="entry"><span style="width:80px;display:inline-block;">&#160;</span><a href="de/d94/_mini51_series_8h_source.html"><span class="icondoc"></span></a><a class="el" href="de/d94/_mini51_series_8h.html" target="_self">Mini51Series.h</a></td><td class="desc">Mini51 series peripheral access layer header file. This file contains all the peripheral register's definitions, bits definitions and memory mapping for NuMicro Mini51 series MCU </td></tr>
<tr id="row_0_0_0_0_1_"><td class="entry"><span style="width:80px;display:inline-block;">&#160;</span><a href="dd/d6a/system___mini51_series_8h_source.html"><span class="icondoc"></span></a><a class="el" href="dd/d6a/system___mini51_series_8h.html" target="_self">system_Mini51Series.h</a></td><td class="desc">Mini51 series system clock definition file </td></tr>
<tr id="row_0_0_0_1_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span id="arr_0_0_0_1_" class="arrow" onclick="toggleFolder('0_0_0_1_')">&#9660;</span><span id="img_0_0_0_1_" class="iconfopen" onclick="toggleFolder('0_0_0_1_')">&#160;</span><a class="el" href="dir_0ed8748315c083fd326663c7d3aef8a1.html" target="_self">Source</a></td><td class="desc"></td></tr>
<tr id="row_0_0_0_1_0_"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span id="arr_0_0_0_1_0_" class="arrow" onclick="toggleFolder('0_0_0_1_0_')">&#9660;</span><span id="img_0_0_0_1_0_" class="iconfopen" onclick="toggleFolder('0_0_0_1_0_')">&#160;</span><a class="el" href="dir_c34376968c2064b7d1dd40cedf63d539.html" target="_self">GCC</a></td><td class="desc"></td></tr>
<tr id="row_0_0_0_1_0_0_" class="even"><td class="entry"><span style="width:96px;display:inline-block;">&#160;</span><a href="df/dae/__syscalls_8c_source.html"><span class="icondoc"></span></a><a class="el" href="df/dae/__syscalls_8c.html" target="_self">_syscalls.c</a></td><td class="desc"></td></tr>
<tr id="row_0_0_0_1_0_1_"><td class="entry"><span style="width:96px;display:inline-block;">&#160;</span><a href="d5/d32/semihosting_8h_source.html"><span class="icondoc"></span></a><a class="el" href="d5/d32/semihosting_8h.html" target="_self">semihosting.h</a></td><td class="desc"></td></tr>
<tr id="row_0_0_0_1_1_" class="even"><td class="entry"><span style="width:80px;display:inline-block;">&#160;</span><a href="dc/d23/system___mini51_series_8c_source.html"><span class="icondoc"></span></a><a class="el" href="dc/d23/system___mini51_series_8c.html" target="_self">system_Mini51Series.c</a></td><td class="desc">Mini51 series system clock init code and assert handler </td></tr>
<tr id="row_1_"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_1_" class="arrow" onclick="toggleFolder('1_')">&#9660;</span><span id="img_1_" class="iconfopen" onclick="toggleFolder('1_')">&#160;</span><a class="el" href="dir_2257da8f9ae81bafff8ef39204f6b7df.html" target="_self">Nu-LB-Mini51</a></td><td class="desc"></td></tr>
<tr id="row_1_0_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_1_0_" class="arrow" onclick="toggleFolder('1_0_')">&#9660;</span><span id="img_1_0_" class="iconfopen" onclick="toggleFolder('1_0_')">&#160;</span><a class="el" href="dir_fb1ccf00aaf7e34f2c293a38601d8f12.html" target="_self">inc</a></td><td class="desc"></td></tr>
<tr id="row_1_0_0_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><a href="d3/d87/eeprom__24lc64_8h_source.html"><span class="icondoc"></span></a><a class="el" href="d3/d87/eeprom__24lc64_8h.html" target="_self">eeprom_24lc64.h</a></td><td class="desc">MINI51 series 24LC64 EEPROM library header file </td></tr>
<tr id="row_1_0_1_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><a href="d9/d99/i2c__software__gpio_8h_source.html"><span class="icondoc"></span></a><a class="el" href="d9/d99/i2c__software__gpio_8h.html" target="_self">i2c_software_gpio.h</a></td><td class="desc">This is the header file of <a class="el" href="da/d64/i2c__software__gpio_8c.html" title="MINI51 series software I2C driver source file.">i2c_software_gpio.c</a> </td></tr>
<tr id="row_1_0_2_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><a href="dc/da3/i2c__software__gpio__with__timer_8h_source.html"><span class="icondoc"></span></a><a class="el" href="dc/da3/i2c__software__gpio__with__timer_8h.html" target="_self">i2c_software_gpio_with_timer.h</a></td><td class="desc">This is the header file of <a class="el" href="d2/dcc/i2c__software__gpio__with__timer_8c.html" title="MINI51 series software I2C driver source file.">i2c_software_gpio_with_timer.c</a> </td></tr>
<tr id="row_1_0_3_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><a href="dd/dee/lcd__driver_8h_source.html"><span class="icondoc"></span></a><a class="el" href="dd/dee/lcd__driver_8h.html" target="_self">lcd_driver.h</a></td><td class="desc"></td></tr>
<tr id="row_1_1_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_1_1_" class="arrow" onclick="toggleFolder('1_1_')">&#9660;</span><span id="img_1_1_" class="iconfopen" onclick="toggleFolder('1_1_')">&#160;</span><a class="el" href="dir_97b8181d9a45c5ab0b3b58a411b81586.html" target="_self">src</a></td><td class="desc"></td></tr>
<tr id="row_1_1_0_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><a href="d3/db0/ascii__table_8c_source.html"><span class="icondoc"></span></a><a class="el" href="d3/db0/ascii__table_8c.html" target="_self">ascii_table.c</a></td><td class="desc">This file contains the definition of ASCII code </td></tr>
<tr id="row_1_1_1_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><a href="d7/d23/eeprom__24lc64_8c_source.html"><span class="icondoc"></span></a><a class="el" href="d7/d23/eeprom__24lc64_8c.html" target="_self">eeprom_24lc64.c</a></td><td class="desc">MINI51 series 24LC64 EEPROM library header file </td></tr>
<tr id="row_1_1_2_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><a href="da/d64/i2c__software__gpio_8c_source.html"><span class="icondoc"></span></a><a class="el" href="da/d64/i2c__software__gpio_8c.html" target="_self">i2c_software_gpio.c</a></td><td class="desc">MINI51 series software I2C driver source file </td></tr>
<tr id="row_1_1_3_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><a href="d2/dcc/i2c__software__gpio__with__timer_8c_source.html"><span class="icondoc"></span></a><a class="el" href="d2/dcc/i2c__software__gpio__with__timer_8c.html" target="_self">i2c_software_gpio_with_timer.c</a></td><td class="desc">MINI51 series software I2C driver source file </td></tr>
<tr id="row_1_1_4_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><a href="da/d9b/lcd__driver_8c_source.html"><span class="icondoc"></span></a><a class="el" href="da/d9b/lcd__driver_8c.html" target="_self">lcd_driver.c</a></td><td class="desc">MINI51 series LCD Module library source file </td></tr>
<tr id="row_2_"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_2_" class="arrow" onclick="toggleFolder('2_')">&#9660;</span><span id="img_2_" class="iconfopen" onclick="toggleFolder('2_')">&#160;</span><a class="el" href="dir_0d398eaf8b2db165a9197a6619ec9f0e.html" target="_self">StdDriver</a></td><td class="desc"></td></tr>
<tr id="row_2_0_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_2_0_" class="arrow" onclick="toggleFolder('2_0_')">&#9660;</span><span id="img_2_0_" class="iconfopen" onclick="toggleFolder('2_0_')">&#160;</span><a class="el" href="dir_727df3ff8d6c08f79694ae8f401a0b8b.html" target="_self">inc</a></td><td class="desc"></td></tr>
<tr id="row_2_0_0_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><a href="dc/d2f/acmp_8h_source.html"><span class="icondoc"></span></a><a class="el" href="dc/d2f/acmp_8h.html" target="_self">acmp.h</a></td><td class="desc">Mini51 series Analog Comparator(ACMP) driver header file </td></tr>
<tr id="row_2_0_1_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><a href="d7/d19/adc_8h_source.html"><span class="icondoc"></span></a><a class="el" href="d7/d19/adc_8h.html" target="_self">adc.h</a></td><td class="desc">Mini51 series ADC driver header file </td></tr>
<tr id="row_2_0_2_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><a href="d3/d89/clk_8h_source.html"><span class="icondoc"></span></a><a class="el" href="d3/d89/clk_8h.html" target="_self">clk.h</a></td><td class="desc">Mini51 series CLK driver header file </td></tr>
<tr id="row_2_0_3_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><a href="dc/d00/fmc_8h_source.html"><span class="icondoc"></span></a><a class="el" href="dc/d00/fmc_8h.html" target="_self">fmc.h</a></td><td class="desc">MINI51 series FMC driver header file </td></tr>
<tr id="row_2_0_4_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><a href="d6/d7c/gpio_8h_source.html"><span class="icondoc"></span></a><a class="el" href="d6/d7c/gpio_8h.html" target="_self">gpio.h</a></td><td class="desc">Mini51 series GPIO driver header file </td></tr>
<tr id="row_2_0_5_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><a href="d5/daf/i2c_8h_source.html"><span class="icondoc"></span></a><a class="el" href="d5/daf/i2c_8h.html" target="_self">i2c.h</a></td><td class="desc">Mini51 series I2C driver header file </td></tr>
<tr id="row_2_0_6_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><a href="d6/db9/pwm_8h_source.html"><span class="icondoc"></span></a><a class="el" href="d6/db9/pwm_8h.html" target="_self">pwm.h</a></td><td class="desc">Mini51 series PWM driver header file </td></tr>
<tr id="row_2_0_7_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><a href="da/d87/spi_8h_source.html"><span class="icondoc"></span></a><a class="el" href="da/d87/spi_8h.html" target="_self">spi.h</a></td><td class="desc">Mini51 series SPI driver header file </td></tr>
<tr id="row_2_0_8_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><a href="d9/d87/sys_8h_source.html"><span class="icondoc"></span></a><a class="el" href="d9/d87/sys_8h.html" target="_self">sys.h</a></td><td class="desc">Mini51 series SYS driver header file </td></tr>
<tr id="row_2_0_9_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><a href="d5/dd0/timer_8h_source.html"><span class="icondoc"></span></a><a class="el" href="d5/dd0/timer_8h.html" target="_self">timer.h</a></td><td class="desc">Mini51 series TIMER driver header file </td></tr>
<tr id="row_2_0_10_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><a href="d2/d86/uart_8h_source.html"><span class="icondoc"></span></a><a class="el" href="d2/d86/uart_8h.html" target="_self">uart.h</a></td><td class="desc">Mini51 series UART driver header file </td></tr>
<tr id="row_2_0_11_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><a href="d0/de2/wdt_8h_source.html"><span class="icondoc"></span></a><a class="el" href="d0/de2/wdt_8h.html" target="_self">wdt.h</a></td><td class="desc">Mini51 series WDT driver header file </td></tr>
<tr id="row_2_1_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_2_1_" class="arrow" onclick="toggleFolder('2_1_')">&#9660;</span><span id="img_2_1_" class="iconfopen" onclick="toggleFolder('2_1_')">&#160;</span><a class="el" href="dir_3abedc03644d33bc69016fb8a5546004.html" target="_self">src</a></td><td class="desc"></td></tr>
<tr id="row_2_1_0_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><a href="d3/df1/acmp_8c_source.html"><span class="icondoc"></span></a><a class="el" href="d3/df1/acmp_8c.html" target="_self">acmp.c</a></td><td class="desc">MINI51 series Analog Comparator(ACMP) driver source file </td></tr>
<tr id="row_2_1_1_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><a href="de/d01/adc_8c_source.html"><span class="icondoc"></span></a><a class="el" href="de/d01/adc_8c.html" target="_self">adc.c</a></td><td class="desc">MINI51 series ADC driver source file </td></tr>
<tr id="row_2_1_2_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><a href="de/da0/clk_8c_source.html"><span class="icondoc"></span></a><a class="el" href="de/da0/clk_8c.html" target="_self">clk.c</a></td><td class="desc">MINI51 series CLK driver source file </td></tr>
<tr id="row_2_1_3_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><a href="d0/dbc/fmc_8c_source.html"><span class="icondoc"></span></a><a class="el" href="d0/dbc/fmc_8c.html" target="_self">fmc.c</a></td><td class="desc">MINI51 series FMC driver source file </td></tr>
<tr id="row_2_1_4_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><a href="d8/da0/gpio_8c_source.html"><span class="icondoc"></span></a><a class="el" href="d8/da0/gpio_8c.html" target="_self">gpio.c</a></td><td class="desc">MINI51 series GPIO driver source file </td></tr>
<tr id="row_2_1_5_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><a href="d9/dcb/i2c_8c_source.html"><span class="icondoc"></span></a><a class="el" href="d9/dcb/i2c_8c.html" target="_self">i2c.c</a></td><td class="desc">MINI51 series I2C driver source file </td></tr>
<tr id="row_2_1_6_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><a href="de/d5c/pwm_8c_source.html"><span class="icondoc"></span></a><a class="el" href="de/d5c/pwm_8c.html" target="_self">pwm.c</a></td><td class="desc">MINI51 series PWM driver source file </td></tr>
<tr id="row_2_1_7_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><a href="d3/d3d/retarget_8c_source.html"><span class="icondoc"></span></a><a class="el" href="d3/d3d/retarget_8c.html" target="_self">retarget.c</a></td><td class="desc">Mini51 series retarget source file </td></tr>
<tr id="row_2_1_8_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><a href="da/d00/spi_8c_source.html"><span class="icondoc"></span></a><a class="el" href="da/d00/spi_8c.html" target="_self">spi.c</a></td><td class="desc">MINI51 series SPI driver source file </td></tr>
<tr id="row_2_1_9_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><a href="d8/d91/sys_8c_source.html"><span class="icondoc"></span></a><a class="el" href="d8/d91/sys_8c.html" target="_self">sys.c</a></td><td class="desc">MINI51 series SYS driver source file </td></tr>
<tr id="row_2_1_10_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><a href="df/d41/timer_8c_source.html"><span class="icondoc"></span></a><a class="el" href="df/d41/timer_8c.html" target="_self">timer.c</a></td><td class="desc">MINI51 series TIMER driver source file </td></tr>
<tr id="row_2_1_11_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><a href="d1/d87/uart_8c_source.html"><span class="icondoc"></span></a><a class="el" href="d1/d87/uart_8c.html" target="_self">uart.c</a></td><td class="desc">MINI51 series UART driver source file </td></tr>
<tr id="row_2_1_12_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><a href="db/d1a/wdt_8c_source.html"><span class="icondoc"></span></a><a class="el" href="db/d1a/wdt_8c.html" target="_self">wdt.c</a></td><td class="desc">MINI51 series WDT driver source file </td></tr>
</table>
</div><!-- directory -->
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 18:23:41 for MINI51DE_BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
